package com.clx.performance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.PageIntegralStatisticsParam;
import com.clx.performance.param.pc.pageIntegralStatisticsDetailParam;
import com.clx.performance.vo.pc.IntegralRecordVO;
import com.clx.performance.vo.pc.IntegralStatisticsVO;

import java.time.LocalDateTime;

public interface IntegralStatisticsService {

    IPage<IntegralStatisticsVO> pageStatisticsList(PageIntegralStatisticsParam param);
    IPage<IntegralRecordVO> pageStatisticsDetailList(pageIntegralStatisticsDetailParam param);

    int protectionIntegralCalc(LocalDateTime statisticsDate);
    int protectionIntegralCalc(LocalDateTime createTime, LocalDateTime statisticsDate);

}
